#ifndef ds18b20
#define ds18b20
#include <avr\io.h>
#define F_CPU 4000000UL
#include <util/delay.h>
#include <avr\interrupt.h>

#define TX          DDRC |= _BV(3);
#define RX          DDRC &= ~(_BV(3));

#define ds_pin		PINC
#define ds_pin_num	3

unsigned char ow_detect_presence(void);
void ow_write_one(void);
void ow_write_zero(void);
unsigned char ow_read_bit(void);
void ow_write_byte(unsigned char tosend);
unsigned char ow_read_byte(void);
unsigned char measure(void);


#endif 
